Public Member Functions | Private Attributes | List of all members
WP6StyleGroup_GlobalOnSubGroup Class Reference

`#include <WP6StyleGroup.h>`

Inheritance diagram for WP6StyleGroup_GlobalOnSubGroup:

## Public Member Functions
| WP6StyleGroup_GlobalOnSubGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP6Listener *listener, const unsigned char numPrefixIDs, unsigned short const *prefixIDs) const override
Public Member Functions inherited from WP6VariableLengthGroup_SubGroup
virtual | ~WP6VariableLengthGroup_SubGroup ()

## Private Attributes
unsigned short | m_hash
unsigned char | m_systemStyleNumber

## Constructor & Destructor Documentation

## ◆ WP6StyleGroup_GlobalOnSubGroup()

WP6StyleGroup_GlobalOnSubGroup::WP6StyleGroup_GlobalOnSubGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

## Member Function Documentation

## ◆ parse()

void WP6StyleGroup_GlobalOnSubGroup::parse | ( | WP6Listener * | listener,
|  | const unsigned char | numPrefixIDs,
|  | unsigned short const * | prefixIDs
| ) |  | const
| override virtual

Implements WP6VariableLengthGroup_SubGroup.

## Member Data Documentation

## ◆ m_hash

unsigned short WP6StyleGroup_GlobalOnSubGroup::m_hash
| private

Referenced by WP6StyleGroup_GlobalOnSubGroup().

## ◆ m_systemStyleNumber

unsigned char WP6StyleGroup_GlobalOnSubGroup::m_systemStyleNumber
| private

Referenced by parse(), and WP6StyleGroup_GlobalOnSubGroup().

The documentation for this class was generated from the following files:

- WP6StyleGroup.h
- WP6StyleGroup.cpp